# network - Solution

A prototype business network about bringing transparency in real network

# Author

MUSTAY

# Folder Structure

- lib: contains the logic of the solution
- models: contains the models who are defined of the business network
- test: is for testing the solution

# prerequisits

Before you can use the solution you have to install the prerequisions on the composer website: 

- https://hyperledger.github.io/composer/v0.19/installing/installing-prereqs
- https://hyperledger.github.io/composer/v0.19/installing/development-tools

# how to use

Before you do anything you have to install the node modules folder with:

npm install

For deploying the code on your running fabric environment please use in the current folder : 

```
composer archive create -t dir -n .
composer network install --card PeerAdmin@hlfv1 --archiveFile network@0.0.1.bna
composer network start --networkName network --networkVersion 0.0.1 --networkAdmin admin --networkAdminEnrollSecret adminpw --card PeerAdmin@hlfv1 --file networkadmin.card
composer card import --file networkadmin.card
composer network ping --card admin@network
```

Then you have to create the composer rest server with: 

```
composer-rest-server
```

It will ask you know several questions: 

- Network card name: admin@network
- never use namespaces
- don't secure RESTAPI
- don't enable authentication
- enable explore the test interface
- you don't have to enable dynamic logging
- enable event publication yes
- don't use TLS Security no

To start the interface you have to go into the angular-app folder and use:

If it is the first time please use `npm install` and then `npm start`. If not just use `npm start`. 

# Troubleshooting

https://github.com/hyperledger/composer-tools/issues/153

# Upgrade the Network

Update the Version in the package.json to another level

```
composer archive create -t dir -n .
composer network install --card PeerAdmin@hlfv1 --archiveFile network@0.0.2.bna
composer network upgrade --networkName network --networkVersion 0.0.2 --card PeerAdmin@hlfv1
composer network ping --card admin@network
```